
_InitMain:

;_74595.mbas,11 :: 		sub procedure InitMain()
;_74595.mbas,12 :: 		PortA = 0
	CLRF       PORTA+0
;_74595.mbas,13 :: 		TrisA = 0
	CLRF       TRISA+0
;_74595.mbas,14 :: 		PortB = 0
	CLRF       PORTB+0
;_74595.mbas,15 :: 		TrisB = 0
	CLRF       TRISB+0
;_74595.mbas,16 :: 		end sub
L_end_InitMain:
	RETURN
; end of _InitMain

_Byte2Binary:

;_74595.mbas,19 :: 		dim AA as byte
;_74595.mbas,20 :: 		AA = 0
	CLRF       R2+0
;_74595.mbas,22 :: 		Databit[0] = 1
	MOVLW      1
	MOVWF      _Databit+0
;_74595.mbas,23 :: 		Databit[1] = 1
	MOVLW      1
	MOVWF      _Databit+1
;_74595.mbas,24 :: 		Databit[2] = 1
	MOVLW      1
	MOVWF      _Databit+2
;_74595.mbas,25 :: 		Databit[3] = 1
	MOVLW      1
	MOVWF      _Databit+3
;_74595.mbas,26 :: 		Databit[4] = 1
	MOVLW      1
	MOVWF      _Databit+4
;_74595.mbas,27 :: 		Databit[5] = 1
	MOVLW      1
	MOVWF      _Databit+5
;_74595.mbas,28 :: 		Databit[6] = 1
	MOVLW      1
	MOVWF      _Databit+6
;_74595.mbas,29 :: 		Databit[7] = 1
	MOVLW      1
	MOVWF      _Databit+7
;_74595.mbas,31 :: 		while AA < 8        '8
L__Byte2Binary3:
	MOVLW      8
	SUBWF      R2+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__Byte2Binary4
;_74595.mbas,32 :: 		if (D and $80) = 0 then
	MOVLW      128
	ANDWF      FARG_Byte2Binary_D+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Byte2Binary8
;_74595.mbas,33 :: 		Databit[AA] = 0
	MOVF       R2+0, 0
	ADDLW      _Databit+0
	MOVWF      FSR
	CLRF       INDF+0
L__Byte2Binary8:
;_74595.mbas,35 :: 		D = D << 1
	RLF        FARG_Byte2Binary_D+0, 1
	BCF        FARG_Byte2Binary_D+0, 0
;_74595.mbas,36 :: 		AA = AA + 1
	INCF       R2+0, 1
;_74595.mbas,37 :: 		wend
	GOTO       L__Byte2Binary3
L__Byte2Binary4:
;_74595.mbas,38 :: 		end sub
L_end_Byte2Binary:
	RETURN
; end of _Byte2Binary

_Clock:

;_74595.mbas,40 :: 		sub procedure Clock
;_74595.mbas,41 :: 		PortSH = 1
	BSF        PORTA+0, 2
;_74595.mbas,42 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__Clock11:
	DECFSZ     R13+0, 1
	GOTO       L__Clock11
	DECFSZ     R12+0, 1
	GOTO       L__Clock11
	NOP
	NOP
;_74595.mbas,44 :: 		PortSH = 0
	BCF        PORTA+0, 2
;_74595.mbas,45 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__Clock12:
	DECFSZ     R13+0, 1
	GOTO       L__Clock12
	DECFSZ     R12+0, 1
	GOTO       L__Clock12
	NOP
	NOP
;_74595.mbas,46 :: 		end sub
L_end_Clock:
	RETURN
; end of _Clock

_SendData:

;_74595.mbas,48 :: 		sub procedure SendData()
;_74595.mbas,49 :: 		PortST = 1
	BSF        PORTA+0, 1
;_74595.mbas,50 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__SendData14:
	DECFSZ     R13+0, 1
	GOTO       L__SendData14
	DECFSZ     R12+0, 1
	GOTO       L__SendData14
	NOP
	NOP
;_74595.mbas,51 :: 		PortST = 0
	BCF        PORTA+0, 1
;_74595.mbas,52 :: 		end sub
L_end_SendData:
	RETURN
; end of _SendData

_StoreData:

;_74595.mbas,57 :: 		dim Databit1,Databit2,Databit3,Databit4,Databit5,Databit6,Databit7,Databit8 as byte[8]
;_74595.mbas,59 :: 		Counter  = 0
	CLRF       StoreData_Counter+0
;_74595.mbas,60 :: 		Counter1 = 0
	CLRF       StoreData_Counter1+0
;_74595.mbas,61 :: 		Counter2 = 0
	CLRF       StoreData_Counter2+0
;_74595.mbas,62 :: 		Counter3 = 0
	CLRF       StoreData_Counter3+0
;_74595.mbas,63 :: 		Counter4 = 0
	CLRF       StoreData_Counter4+0
;_74595.mbas,65 :: 		Byte2Binary(SerialData1)
	MOVF       FARG_StoreData_SerialData1+0, 0
	MOVWF      FARG_Byte2Binary_D+0
	CALL       _Byte2Binary+0
;_74595.mbas,66 :: 		Databit1 = Databit
	MOVLW      StoreData_Databit1+0
	MOVWF      FSR
	MOVLW      _Databit+0
	MOVWF      R1+0
	MOVLW      8
	MOVWF      R2+0
	CALL       ___CA2AW+0
;_74595.mbas,67 :: 		Byte2Binary(SerialData2)
	MOVF       FARG_StoreData_SerialData2+0, 0
	MOVWF      FARG_Byte2Binary_D+0
	CALL       _Byte2Binary+0
;_74595.mbas,68 :: 		Databit2 = Databit
	MOVLW      StoreData_Databit2+0
	MOVWF      FSR
	MOVLW      _Databit+0
	MOVWF      R1+0
	MOVLW      8
	MOVWF      R2+0
	CALL       ___CA2AW+0
;_74595.mbas,69 :: 		Byte2Binary(SerialData3)
	MOVF       FARG_StoreData_SerialData3+0, 0
	MOVWF      FARG_Byte2Binary_D+0
	CALL       _Byte2Binary+0
;_74595.mbas,70 :: 		Databit3 = Databit
	MOVLW      StoreData_Databit3+0
	MOVWF      FSR
	MOVLW      _Databit+0
	MOVWF      R1+0
	MOVLW      8
	MOVWF      R2+0
	CALL       ___CA2AW+0
;_74595.mbas,71 :: 		Byte2Binary(SerialData4)
	MOVF       FARG_StoreData_SerialData4+0, 0
	MOVWF      FARG_Byte2Binary_D+0
	CALL       _Byte2Binary+0
;_74595.mbas,72 :: 		Databit4 = Databit
	MOVLW      StoreData_Databit4+0
	MOVWF      FSR
	MOVLW      _Databit+0
	MOVWF      R1+0
	MOVLW      8
	MOVWF      R2+0
	CALL       ___CA2AW+0
;_74595.mbas,74 :: 		PortST = 0
	BCF        PORTA+0, 1
;_74595.mbas,75 :: 		PortSH = 0
	BCF        PORTA+0, 2
;_74595.mbas,77 :: 		while Counter < 40
L__StoreData17:
	MOVLW      40
	SUBWF      StoreData_Counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData18
;_74595.mbas,79 :: 		if Counter < 8 then
	MOVLW      8
	SUBWF      StoreData_Counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData22
;_74595.mbas,80 :: 		PortDS = Databit1[Counter1]
	MOVLW      StoreData_Databit1+0
	MOVWF      R0+0
	MOVF       StoreData_Counter1+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	BTFSC      INDF+0, 0
	GOTO       L__StoreData52
	BCF        PORTA+0, 0
	GOTO       L__StoreData53
L__StoreData52:
	BSF        PORTA+0, 0
L__StoreData53:
;_74595.mbas,81 :: 		Clock
	CALL       _Clock+0
;_74595.mbas,82 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__StoreData24:
	DECFSZ     R13+0, 1
	GOTO       L__StoreData24
	DECFSZ     R12+0, 1
	GOTO       L__StoreData24
	NOP
	NOP
;_74595.mbas,83 :: 		Counter1 = Counter1 + 1
	INCF       StoreData_Counter1+0, 1
L__StoreData22:
;_74595.mbas,86 :: 		if Counter > 9 then
	MOVF       StoreData_Counter+0, 0
	SUBLW      9
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData26
;_74595.mbas,87 :: 		if Counter < 18 then
	MOVLW      18
	SUBWF      StoreData_Counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData29
;_74595.mbas,88 :: 		PortDS = Databit2[Counter2]
	MOVLW      StoreData_Databit2+0
	MOVWF      R0+0
	MOVF       StoreData_Counter2+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	BTFSC      INDF+0, 0
	GOTO       L__StoreData54
	BCF        PORTA+0, 0
	GOTO       L__StoreData55
L__StoreData54:
	BSF        PORTA+0, 0
L__StoreData55:
;_74595.mbas,89 :: 		Clock
	CALL       _Clock+0
;_74595.mbas,90 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__StoreData31:
	DECFSZ     R13+0, 1
	GOTO       L__StoreData31
	DECFSZ     R12+0, 1
	GOTO       L__StoreData31
	NOP
	NOP
;_74595.mbas,91 :: 		Counter2 = Counter2 + 1
	INCF       StoreData_Counter2+0, 1
L__StoreData29:
;_74595.mbas,92 :: 		end if
L__StoreData26:
;_74595.mbas,95 :: 		if Counter > 19 then
	MOVF       StoreData_Counter+0, 0
	SUBLW      19
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData33
;_74595.mbas,96 :: 		if Counter < 28 then
	MOVLW      28
	SUBWF      StoreData_Counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData36
;_74595.mbas,97 :: 		PortDS = Databit3[Counter3]
	MOVLW      StoreData_Databit3+0
	MOVWF      R0+0
	MOVF       StoreData_Counter3+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	BTFSC      INDF+0, 0
	GOTO       L__StoreData56
	BCF        PORTA+0, 0
	GOTO       L__StoreData57
L__StoreData56:
	BSF        PORTA+0, 0
L__StoreData57:
;_74595.mbas,98 :: 		Clock
	CALL       _Clock+0
;_74595.mbas,99 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__StoreData38:
	DECFSZ     R13+0, 1
	GOTO       L__StoreData38
	DECFSZ     R12+0, 1
	GOTO       L__StoreData38
	NOP
	NOP
;_74595.mbas,100 :: 		Counter3 = Counter3 + 1
	INCF       StoreData_Counter3+0, 1
L__StoreData36:
;_74595.mbas,101 :: 		end if
L__StoreData33:
;_74595.mbas,104 :: 		if Counter > 29 then
	MOVF       StoreData_Counter+0, 0
	SUBLW      29
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData40
;_74595.mbas,105 :: 		if Counter < 38 then
	MOVLW      38
	SUBWF      StoreData_Counter+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__StoreData43
;_74595.mbas,106 :: 		PortDS = Databit4[Counter4]
	MOVLW      StoreData_Databit4+0
	MOVWF      R0+0
	MOVF       StoreData_Counter4+0, 0
	ADDWF      R0+0, 0
	MOVWF      FSR
	BTFSC      INDF+0, 0
	GOTO       L__StoreData58
	BCF        PORTA+0, 0
	GOTO       L__StoreData59
L__StoreData58:
	BSF        PORTA+0, 0
L__StoreData59:
;_74595.mbas,107 :: 		Clock
	CALL       _Clock+0
;_74595.mbas,108 :: 		delay_ms(1)
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L__StoreData45:
	DECFSZ     R13+0, 1
	GOTO       L__StoreData45
	DECFSZ     R12+0, 1
	GOTO       L__StoreData45
	NOP
	NOP
;_74595.mbas,109 :: 		Counter4 = Counter4 + 1
	INCF       StoreData_Counter4+0, 1
L__StoreData43:
;_74595.mbas,110 :: 		end if
L__StoreData40:
;_74595.mbas,112 :: 		Counter = Counter + 1
	INCF       StoreData_Counter+0, 1
;_74595.mbas,113 :: 		wend
	GOTO       L__StoreData17
L__StoreData18:
;_74595.mbas,114 :: 		SendData()
	CALL       _SendData+0
;_74595.mbas,115 :: 		end sub
L_end_StoreData:
	RETURN
; end of _StoreData

_main:

;_74595.mbas,117 :: 		main:
;_74595.mbas,119 :: 		InitMain()
	CALL       _InitMain+0
;_74595.mbas,120 :: 		StoreData(23,89,210,56)
	MOVLW      23
	MOVWF      FARG_StoreData_SerialData1+0
	MOVLW      89
	MOVWF      FARG_StoreData_SerialData2+0
	MOVLW      210
	MOVWF      FARG_StoreData_SerialData3+0
	MOVLW      56
	MOVWF      FARG_StoreData_SerialData4+0
	CALL       _StoreData+0
L_end_main:
	GOTO       $+0
; end of _main
